PowerCLI – How solve CVE-2018-3646 – KB55806

Description

When you update your ESXi host you can see on ESXi’s summary tab this warning.

I decided to use PowerCLI to solve this issue. Please, for more information or verify compatibility CPU follow this link (https://kb.vmware.com/s/article/55806). You can follow this link (https://kb.vmware.com/s/article/55636) as well.

Script

FYI, you can add an array for option “Name” on Get-VMHost.

$esxcli = Get-EsxCli -VMHost (Get-VMHost -Name MyESXiHost) -V2
$SettingsKernelSet = $esxcli.system.settings.kernel.set.CreateArgs()
$SettingsKernelSet.setting = "hyperthreadingMitigation"
$SettingsKernelSet.value = "TRUE"
$esxcli.system.settings.kernel.set.Invoke($SettingsKernelSet)

Verify if new value is applied.

$esxcli = Get-EsxCli -VMHost (Get-VMHost -Name MyESXiHost) -V2
$esxcli.system.settings.kernel.list.Invoke(@{option = "hyperthreadingMitigation"})

You have to reboot the ESXi host for the configuration change to go into effect.

Have Fun !!